## akonadi-notes 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(Akonadi-Notes VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)


set(QT_REQUIRED_VERSION "5.8.0")
set(AKONADI_NOTES_VERSION ${PIM_VERSION})

set(KMIMELIB_VERSION "5.7.3")
set(AKONADI_VERSION "5.7.3")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADINOTES
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-notes_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiNotesConfigVersion.cmake"
    SOVERSION 5
    )

########### Find packages ###########
find_package(Qt5Xml ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"akonadinotes5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiNotes")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiNotesConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiNotesConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiNotesConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiNotesConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5AkonadiNotesTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiNotesTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/akonadi-notes_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

## akonadi-notes 17.04.3

=== debian/changelog ===
akonadi-notes (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add libkf5akonadinotes-data installing usr/share/locale
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:22 +0100

akonadi-notes (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Initial packaging for akonadi-notes which has been split from kdepimlibs

  [ Simon Quigley ]
  * Got the package to build correctly
  * Ran wrap-and-sort

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:03 +0100

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5mime-dev (>= 17.04.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.7
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadinotes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi notes access library - data files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5mime-dev (>= 17.04.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ia64)
    dqk_link_with_as_needed := no
endif

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time

override_dh_strip:
	$(overridden_command) --dbgsym-migration='akonadi-notes-dbg (<= 4:15.12.1-1~~)'

## akonadi-notes 17.08.3

=== debian/changelog ===
akonadi-notes (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Mark libkf5akonadinotes-dev as Multi-Arch: same, not foreign.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 09:26:36 +0100

akonadi-notes (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:49:31 +0100

akonadi-notes (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Update upstream metadata
  * Bump Standards-Version to 4.0.1.
  * Update build-deps and deps with the info from cmake
  * wrap-and-sort
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:06 +0200

akonadi-notes (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:48 +0000

akonadi-notes (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:25 +0000

akonadi-notes (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:27 +0000

akonadi-notes (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:07:43 +0000

akonadi-notes (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:58 +0000

akonadi-notes (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

akonadi-notes (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:21 +0000

akonadi-notes (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:26 +0000

akonadi-notes (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:52 +0000

akonadi-notes (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:46 +0000

akonadi-notes (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:12 +0000

akonadi-notes (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:51 +0000

akonadi-notes (4:16.08.0-1~) UNRELEASED; urgency=medium

  * Initial packaging based on kdepimlibs

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 10 Aug 2016 16:20:38 +0000

akonadi-notes (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:04 +0000

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.35.0~),
               libkf5akonadi-dev (>= 4:17.08.3~),
               libkf5i18n-dev (>= 5.35.0~),
               libkf5mime-dev (>= 17.08.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-notes.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-notes.git

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.08.3~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5mime-dev (>= 17.08.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 17.08),
        kdepim-runtime (<< 4:17.08),
        knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        ${kde-l10n:all},
Replaces: ${kde-l10n:all}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-notes 17.12.2

=== debian/changelog ===
akonadi-notes (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Enable build tests
  * Add symbol file.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:13:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,26 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 10),
-               extra-cmake-modules (>= 5.35.0~),
-               libkf5akonadi-dev (>= 4:17.08.3~),
-               libkf5i18n-dev (>= 5.35.0~),
-               libkf5mime-dev (>= 17.08.3~),
+               debhelper (>= 11),
+               extra-cmake-modules (>= 5.39.0~),
+               libkf5akonadi-dev (>= 4:17.12.2~),
+               libkf5i18n-dev (>= 5.39.0~),
+               libkf5mime-dev (>= 17.12.2~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.7.0~),
+               qtbase5-dev (>= 5.8.0~),
 Standards-Version: 4.1.3
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-notes.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-notes.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes.git
 
 Package: libkf5akonadinotes-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.08.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.2~),
          libkf5akonadinotes5 (= ${binary:Version}),
-         libkf5mime-dev (>= 17.08.3~),
+         libkf5mime-dev (>= 17.12.2~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Akonadi notes access library - development files

## akonadi-notes 17.12.3

=== debian/changelog ===
akonadi-notes (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:47 +0000

akonadi-notes (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking libkf5akonadinotes-dev as Multi-Arch: same
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:23 +0000

akonadi-notes (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * d/rules: Remove obsolete architecture specific section to silence
    lintian
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:11 +0000

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5mime-dev (>= 17.12.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.7
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadinotes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi notes access library - data files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.12.3~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5mime-dev (>= 17.12.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

=== debian/watch ===
version=3
http://download.kde.org/(un)?stable/applications/([\d.]+)/src/akonadi-notes-([\d.]+).tar.xz

## akonadi-notes 18.04.3

=== debian/changelog ===
akonadi-notes (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 18.04.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.7
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes
@@ -51,12 +51,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
          libkf5akonadinotes5 (= ${binary:Version}),
          libkf5kdelibs4support-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 17.12.3~),
+         libkf5mime-dev (>= 18.04.3~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Akonadi notes access library - development files
  This library provides notes manipulation helpers using the
  Akonadi PIM data server.

## akonadi-notes 18.08.1

=== debian/changelog ===
akonadi-notes (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:09 +0200

akonadi-notes (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Fri, 17 Aug 2018 18:17:29 +0200

akonadi-notes (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * bump epoch in symbolsfiles to match version of the package.
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:22:30 +0200

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.1~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5mime-dev (>= 18.08.1~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.2.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes.git

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.1~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5mime-dev (>= 18.08.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 17.08),
        kdepim-runtime (<< 4:17.08),
        knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        ${kde-l10n:all},
Replaces: ${kde-l10n:all}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          xvfb, xauth, dbus (>= 1.8), akonadi-server, oxygen-icon-theme,
#          libqt5sql5-sqlite, akonadi-backend-sqlite
# Restrictions: build-needed

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## akonadi-notes 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 
 project(Akonadi-Notes VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,11 +22,11 @@
 include(ECMCoverageOption)
 
 
-set(QT_REQUIRED_VERSION "5.8.0")
+set(QT_REQUIRED_VERSION "5.9.0")
 set(AKONADI_NOTES_VERSION ${PIM_VERSION})
 
-set(KMIMELIB_VERSION "5.7.3")
-set(AKONADI_VERSION "5.7.3")
+set(KMIMELIB_VERSION "5.9.3")
+set(AKONADI_VERSION "5.9.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADINOTES
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-notes_version.h"

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

set(notestest_SRCS notestest.cpp)
add_executable(notestest ${notestest_SRCS})
add_test(NAME notestest COMMAND notestest)
ecm_mark_as_test(notestest)
target_link_libraries(notestest KF5AkonadiNotes KF5::Mime Qt5::Test)

set(CMAKE_PREFIX_PATH ../)

=== debian/changelog ===
akonadi-notes (4:18.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:34:04 +0800

akonadi-notes (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:58:50 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.47.0~),
-               libkf5akonadi-dev (>= 4:18.08.1~),
+               libkf5akonadi-dev (>= 4:18.08.3~),
                libkf5i18n-dev (>= 5.47.0~),
-               libkf5mime-dev (>= 18.08.1~),
+               libkf5mime-dev (>= 18.08.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes.git
@@ -26,9 +26,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.08.1~),
+Depends: libkf5akonadi-dev (>= 4:18.08.3~),
          libkf5akonadinotes5 (= ${binary:Version}),
-         libkf5mime-dev (>= 18.08.1~),
+         libkf5mime-dev (>= 18.08.3~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Akonadi notes access library - development files

## akonadi-notes 18.12.3

=== debian/changelog ===
akonadi-notes (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:44:00 +0100

akonadi-notes (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:03:43 +0000

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5mime-dev (>= 18.12.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.7
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadinotes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi notes access library - data files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5mime-dev (>= 18.12.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

## akonadi-notes 19.04.3

=== debian/changelog ===
akonadi-notes (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -51,10 +51,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5akonadinotes5 (= ${binary:Version}),
          libkf5kdelibs4support-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Akonadi notes access library - development files

## akonadi-notes 19.08.3

=== debian/changelog ===
akonadi-notes (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:38 +0100

akonadi-notes (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update libkf5akonadinotes-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:22 +0100

akonadi-notes (4:18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:49:32 +0100

akonadi-notes (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:04:34 +0200

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>> 4:18.08.3-7),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5mime-dev (>= 19.08.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes.git

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.3~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5i18n-dev (>= 5.60.0~),
         libkf5mime-dev (>= 19.08.3~),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

## akonadi-notes 19.12.3

=== debian/changelog ===
akonadi-notes (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:56:24 +0100

akonadi-notes (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:19 +0100

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5mime-dev (>= 19.12.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.7
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-notes

Package: libkf5akonadinotes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi notes access library - data files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5mime-dev (>= 19.12.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadinotes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time

override_dh_strip:
	$(overridden_command) --dbgsym-migration='akonadi-notes-dbg (<= 4:15.12.1-1~~)'

## akonadi-notes 20.08.1

=== debian/changelog ===
akonadi-notes (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:30 +0100

akonadi-notes (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -39,10 +39,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
          libkf5akonadinotes5 (= ${binary:Version}),
          libkf5kdelibs4support-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mime-dev (>= 20.08.1~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Akonadi notes access library - development files

## akonadi-notes 20.08.2

=== debian/changelog ===
akonadi-notes (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:06 +0200

akonadi-notes (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:31 +0200

akonadi-notes (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:56 +0200

akonadi-notes (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (20.04.0).
  * Enable hardening all.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:22:12 +0200

=== debian/control ===
Source: akonadi-notes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5mime-dev (>= 20.08.2~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/pim/akonadi-notes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes.git
Rules-Requires-Root: no

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadinotes5 (= ${binary:Version}),
         libkf5i18n-dev (>= 5.71.0~),
         libkf5mime-dev (>= 20.08.2~),
         qtbase5-dev (>= 5.13.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage}

## akonadi-notes 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,32 +1,31 @@
-cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+cmake_minimum_required(VERSION 3.5)
+set(PIM_VERSION "5.15.3")
 
 project(Akonadi-Notes VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.47.0")
+set(KF5_MIN_VERSION "5.71.0")
 
-find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
 
-
-set(QT_REQUIRED_VERSION "5.9.0")
+set(QT_REQUIRED_VERSION "5.13.0")
 set(AKONADI_NOTES_VERSION ${PIM_VERSION})
 
-set(KMIMELIB_VERSION "5.9.3")
-set(AKONADI_VERSION "5.9.3")
+set(KMIMELIB_VERSION "5.15.3")
+set(AKONADI_VERSION "5.15.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADINOTES
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-notes_version.h"
@@ -37,19 +36,19 @@
 ########### Find packages ###########
 find_package(Qt5Xml ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
 
-find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
-
-find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
-
 ########### Targets ###########
 
 add_definitions(-DTRANSLATION_DOMAIN=\"akonadinotes5\")
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+
+
+add_definitions(-DQT_NO_KEYWORDS)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== src/CMakeLists.txt ===
set(akonadinotes_LIB_SRC
    noteutils.cpp
    )

ecm_qt_declare_logging_category(akonadinotes_LIB_SRC HEADER akonadi_notes_debug.h IDENTIFIER AKONADINOTES_LOG CATEGORY_NAME log_akonadi_notes)

add_library(KF5AkonadiNotes ${akonadinotes_LIB_SRC})

generate_export_header(KF5AkonadiNotes BASE_NAME akonadi-notes)

add_library(KF5::KF5AkonadiNotes ALIAS KF5AkonadiNotes)

kde_target_enable_exceptions(KF5AkonadiNotes PUBLIC)

target_include_directories(KF5AkonadiNotes INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Akonadi/Notes;${KDE_INSTALL_INCLUDEDIR_KF5}/akonadi/notes>")
target_include_directories(KF5AkonadiNotes PUBLIC "$<BUILD_INTERFACE:${Akonadi-Notes_SOURCE_DIR}/src;${Akonadi-Notes_BINARY_DIR}/src;>")

target_link_libraries(KF5AkonadiNotes
    PUBLIC
    KF5::Mime
    PRIVATE
    Qt5::Xml
    KF5::I18n
    )

set_target_properties(KF5AkonadiNotes PROPERTIES
    VERSION ${AKONADINOTES_VERSION_STRING}
    SOVERSION ${AKONADINOTES_SOVERSION}
    EXPORT_NAME AkonadiNotes
    )

install(TARGETS
    KF5AkonadiNotes
    EXPORT KF5AkonadiNotesTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
    )

ecm_generate_headers(AkonadiNotes_CamelCase_HEADERS
    HEADER_NAMES

    NoteUtils
    REQUIRED_HEADERS AkonadiNotes_HEADERS
    PREFIX Akonadi/Notes
    )

install(FILES
    ${AkonadiNotes_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Akonadi/Notes
    COMPONENT Devel
    )

install(FILES
    ${AkonadiNotes_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/akonadi-notes_export.h
    ${AkonadiNotes_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/akonadi/notes
    COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME AkonadiNotes
    LIB_NAME KF5AkonadiNotes
    DEPS "Mime" FILENAME_VAR PRI_FILENAME
    )

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
akonadi-notes (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-           Sandro Knauß <hefee@debian.org>,
+           Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
                libkf5i18n-dev (>= 5.71.0~),
-               libkf5mime-dev (>= 20.08.2~),
+               libkf5mime-dev (>= 20.08.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.13.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.13.0~)
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/pim/akonadi-notes
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-notes.git
@@ -29,10 +29,10 @@
 Multi-Arch: same
 Depends: libkf5akonadinotes5 (= ${binary:Version}),
          libkf5i18n-dev (>= 5.71.0~),
-         libkf5mime-dev (>= 20.08.2~),
+         libkf5mime-dev (>= 20.08.3~),
          qtbase5-dev (>= 5.13.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Akonadi notes access library - development files
  This library provides notes manipulation helpers using the
  Akonadi PIM data server.
